Overview | Package | Class | Use | Tree | Help
| HEADER
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: INNER | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## biouml.plugins.sbml
Class SbmlSemanticController

    biouml.model.DefaultSemanticController
      |
      +--biouml.standard.diagram.PathwaySemanticController
            |
            +--biouml.standard.diagram.PathwaySimulationSemanticController
                  |
                  +--biouml.plugins.sbml.SbmlSemanticController

public class SbmlSemanticController
extends PathwaySimulationSemanticController

Field Summary
`final static String[]` | `RESERVED_KEY_WORDS` Array of reserves key words.

Method Summary
`DiagramElement` | `createInstance(Compartment parent, Class type, Point point, ViewEditorPane viewEditor)` Creates diagram element for the specified kernel type, parent compartment and location.
`String` | `generateReactionName(Diagram diagram)` Generates unique reaction name for the specified diagram.
`static boolean` | `isReservedKeyWord(String str)` Returns true if the specified string is reserved SBML key word.
`static Object` | `resolveName(Diagram diagram, String sname)` Search SBML model element with the specified name.
`static String` | `validateSName(String name)` Checks whether the name is valid SBML SName and replaces all invalid chaacters by '_'.

Methods inherited from class biouml.standard.diagram.PathwaySemanticController
`createDiagramElement, remove`

Methods inherited from class biouml.model.DefaultSemanticController
`canAccept, canAccept, isResizable, move, moveEdges, moveNode`

Field Detail

### RESERVED_KEY_WORDS

    public final static String[] RESERVED_KEY_WORDS

  Array of reserves key words.

Method Detail

### createInstance

    public DiagramElement createInstance(Compartment parent, Class type, Point point, ViewEditorPane viewEditor)

  Creates diagram element for the specified kernel type, parent compartment and location. The created diagram element can be compartment, specie node or reaction node.
  Parameters:
    parent - compartment where new diagram element should be located
    type - kernel type
    point - diagram element location
    viewEditor - diagram view editor.

### generateReactionName

    public String generateReactionName(Diagram diagram)
                                 throws java.lang.Exception

  Generates unique reaction name for the specified diagram.
  pending verify that nhere is no parameter, rule or unit with the same name.

### isReservedKeyWord

    public static boolean isReservedKeyWord(String str)

  Returns true if the specified string is reserved SBML key word.

### resolveName

    public static Object resolveName(Diagram diagram, String sname)

  Search SBML model element with the specified name. Generally this method is used to check whether sname is unique. Note: this the rather slow method while it parse all model and put the elements into hash map: sname - object.
  Returns: Object with the specified name or null of no object was found.
  pending process rules and units

### validateSName

    public static String validateSName(String name)

  Checks whether the name is valid SBML SName and replaces all invalid chaacters by '_'.
  Returns: valid SBML SName.

Association Links

to Class java.lang.String

  Array of reserves key words.

Overview | Package | Class | Use | Tree | Help
| FOOTER
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: INNER | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

BOTTOM